App\Entity\ModeleVenteProduit:
    type: entity
    table: modele_vente_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        quantite:
            type: integer
            nullable: false
        prixHt:
            type: float
            nullable: false
        tauxTva:
            type: float
            nullable: false
        totalTva:
            type: float
            nullable: false
        tauxRemise:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: false
        prixTTC:
            type: float
            nullable: false
        prixAchat:
            type: float
            nullable: false
        benefice:
            type: float
            nullable: false
        note:
            type: text
            nullable: true
    manyToOne:
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: mproduits
            joinColumns:
                produit_id:
                    referencedColumnName: id
            orphanRemoval: false
        modeleVente:
            targetEntity: ModeleVente
            cascade: { }
            mappedBy: null
            inversedBy: mproduits
            joinColumns:
                modele_vente_id:
                    referencedColumnName: id
            orphanRemoval: false